<template>
  <header
    class="uikit-absolute uikit-w-full uikit-h-72 uikit-px-ui-page-spacing z-header uikit-top-0 uikit-flex uikit-justify-between uikit-items-center uikit-space-x-8 uikit-bg-black uikit-bg-opacity-50"
  >
    <div class="uikit-flex uikit-space-x-8">
      <ui-header-logo
        is-mobile
        :logo-link="logoLink"
      />

      <ui-mobile-header-menu
        class="uikit-flex-1"
        :links="links"
      />
    </div>

    <slot name="mobile-action" />
  </header>
  <div id="ui-mobile-header-menu-place" />
</template>

<script lang="ts">
  import type { RouteLocationRaw } from 'vue-router'
  import type { UiLinkProps } from '../UiLink'
  import { defineComponent, PropType } from 'vue'
  import UiMobileHeaderMenu from './UiMobileHeaderMenu.vue'
  import UiHeaderLogo from './UiHeaderLogo.vue'

  export default defineComponent({
    name: 'ui-mobile-header',
    props: {
      logoLink: {
        type: [String, Object] as PropType<RouteLocationRaw>,
      },
      links: {
        type: Array as PropType<UiLinkProps[]>,
        required: true,
      },
    },
    components: {
      UiMobileHeaderMenu,
      UiHeaderLogo,
    },
  })
</script>
